%define short_name      framework
%define short_Name      Avalon
%define bootstrap       0

Name:           avalon-%{short_name}
Version:        4.3
Release:        8
Epoch:          0
Summary:        Java components interfaces
License:        Apache License
Url:            http://avalon.apache.org/%{short_name}/
Group:          Development/Java
#Vendor:        JPackage Project
#Distribution:  JPackage
Source0:        http://www.apache.org/dist/excalibur/excalibur-framework/source/avalon-framework-4.2.0-src.tar.bz2
Source1:        %{name}-build.xml
Requires:       log4j
BuildRequires:  ant
BuildRequires:  ant-junit
%if !%{bootstrap}
BuildRequires:  avalon-logkit
%endif
BuildRequires:  java-javadoc
BuildRequires:  java-rpmbuild >= 0:1.5
BuildRequires:  junit
BuildArch:      noarch
BuildRequires:  log4j

%description
The Avalon framework consists of interfaces that define relationships
between commonly used application components, best-of-practice pattern
enforcements, and several lightweight convenience implementations of the
generic components.
What that means is that we define the central interface Component. We
also define the relationship (contract) a component has with peers,
ancestors and children. This documentation introduces you to those
patterns, interfaces and relationships.

%package manual
Summary:        Manual for %{name}
Group:          Development/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
cp -a %{SOURCE1} build.xml
perl -pi -e 's/enum( |\.)/enum1\1/g' api/src/java/org/apache/avalon/framework/Enum.java

# fix end-of-line
perl -pi -e 's/\r$//g' LICENSE.txt NOTICE.TXT

for i in `find docs -type f`; do
    perl -pi -e 's/\r$//g' $i
done

%build
%if !%{bootstrap}
export CLASSPATH=$(build-classpath avalon-logkit junit log4j)
%else
export CLASSPATH=$(build-classpath junit log4j)
%endif
export OPT_JAR_LIST="`cat %{_sysconfdir}/ant.d/junit`"
%{ant} -Djava.javadoc=%{_javadocdir}/java jar doc test-all

%install
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
install -m 644 dist/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
# create unversioned symlinks
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
cp -pr doc/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

for i in `find %{buildroot}%{_javadocdir}/%{name}-%{version} -type f -name "*.html" -o -name "*.css"`; do
    perl -pi -e 's/\r$//g' $i
done

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.TXT
%{_javadir}/*.jar

%files manual
%defattr(0644,root,root,0755)

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%changelog

* Fri Apr 22 2016 Denis Silakov <dsilakov@gmail.com> 0:4.3-8
- (9e8155c) Drop gcj


